
import TTPixel

def initialize(context):
    context.registerClass(TTPixel.TTFont, 
        constructors=(TTPixel.manage_addTTFontForm, TTPixel.manage_addTTFont),
        permission=TTPixel._AddPermission,
        icon="www/TTFont.gif")
    context.registerClass(TTPixel.TTFontManager, 
        constructors=(TTPixel.manage_addTTFontManagerForm, 
                      TTPixel.manage_addTTFontManager),
        permission=TTPixel._AddPermission,
        icon="www/TTFontManager.gif")
    context.registerClass(TTPixel.TTStyleSheet, 
        constructors=(TTPixel.manage_addTTStyleSheetForm, 
                      TTPixel.manage_addTTStyleSheet),
        permission=TTPixel._AddPermission,
        icon="www/TTStyleSheet.gif")
    context.registerClass(TTPixel.TTPixelText, 
        constructors=(TTPixel.manage_addTTPixelTextForm, 
                      TTPixel.manage_addTTPixelText),
        permission=TTPixel._AddPermission,
        icon="www/TTPixelText.gif")
    if TTPixel.EnableTTPixelMethod:
        context.registerClass(TTPixel.TTPixelMethod, 
            constructors=(TTPixel.manage_addTTPixelMethodForm, 
                          TTPixel.manage_addTTPixelMethod),
            permission=TTPixel._AddPermission,
            icon="www/TTPixelMethod.gif")

